<?php
	namespace App\Http\Controllers;
	use Illuminate\Foundation\Bus\DispatchesJobs;
	use Illuminate\Routing\Controller as BaseController;
	use Illuminate\Foundation\Validation\ValidatesRequests;
	use Illuminate\Foundation\Auth\Access\AuthorizesRequests;
	use Illuminate\Foundation\Auth\Access\AuthorizesResources;
	use Illuminate\Http\Request;
	use DB;
	use App\Http\Model\StockModel;
	use Validator;
	
	class StockController extends Controller
	{
		public function __construct()
		{
			$this->Stock= new StockModel;
		}
		public function PurchaseStockReport()
		{
			$data['pStock']=$this->Stock->PurchaseStock();
			return view('pStock',compact('data'));
		}
		public function SalesstockReport()
		{
			$data['SStock']=$this->Stock->SaleStockReport();
			return view('saleREeport',compact('data'));
		}
		public function AllStockReport()
		{
			$data['AllStock']=$this->Stock->AllStockReport();
			return view('AllstockREeport',compact('data'));
		}
	}
